Name:           ocaml-mmap
Version:        1.1.0
Release:        %mkrel 4
Summary:        File mapping functionality
Group:          Development/OCaml

%global libname mmap

# License is LGPL 2.1 with standard OCaml exceptions
License:        LGPLv2+ with exceptions
URL:            https://github.com/mirage/mmap
Source0:        https://github.com/mirage/mmap/archive/v%{version}/mmap-v%{version}.tar.gz

BuildRequires:  ocaml
BuildRequires:  ocaml-findlib

BuildRequires:  ocaml-dune

%description
This project provides a Mmap.map_file functions for mapping files
in memory. This function is the same as the Unix.map_file function
added in OCaml >= 4.06.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and
signature files for developing applications that use %{name}.

%prep
%autosetup -n %{libname}-%{version}

%build
# It might be nice to have a %jbuilder macro that just does this.
dune build -p %{libname} %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}/ocaml/%{libname}/
cp -aLr _build/install/default/lib/%{libname}/* %{buildroot}%{_libdir}/ocaml/%{libname}/

%check
dune runtest

%files
%license LICENSE
%doc README.md CHANGES.md
%{_libdir}/ocaml/%{libname}
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/%{libname}/*.a
%exclude %{_libdir}/ocaml/%{libname}/*.cmxa
%exclude %{_libdir}/ocaml/%{libname}/*.cmx
%endif
%exclude %{_libdir}/ocaml/%{libname}/*.mli


%files devel
#license LICENSE
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/%{libname}/*.a
%{_libdir}/ocaml/%{libname}/*.cmxa
%{_libdir}/ocaml/%{libname}/*.cmx
%endif
%{_libdir}/ocaml/%{libname}/*.mli




%changelog
* Sun Jan 10 2021 pterjan <pterjan> 1.1.0-4.mga8
+ Revision: 1670293
- Rebuild to generate ocamlx provides

* Fri Feb 28 2020 umeabot <umeabot> 1.1.0-3.mga8
+ Revision: 1551489
- Rebuild for ocaml 4.10.0 final

* Thu Feb 20 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1545144
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 tv <tv> 1.1.0-1.mga8
+ Revision: 1484092
- imported package ocaml-mmap

